summaryrefslogtreecommitdiff
path: root/buildbot
diff options
context:
space:
mode:
authorbuckE <buckE@disroot.org>2020-06-18 04:11:59 +0000
committerbuckE <buckE@disroot.org>2020-06-18 04:11:59 +0000
commitb0945a51b8eb663622ec7c5df5af94654a046e10 (patch)
treee9c5dd414fa2d84242f5d512577750660965d320 /buildbot
parent9a78c329b3edd37e8918cf6bb00a25661094e0fd (diff)
downloaddeployment-b0945a51b8eb663622ec7c5df5af94654a046e10.tar.gz
deployment-b0945a51b8eb663622ec7c5df5af94654a046e10.tar.bz2
deployment-b0945a51b8eb663622ec7c5df5af94654a046e10.zip
exit 1 for broken links
Diffstat (limited to 'buildbot')
-rwxr-xr-xbuildbot/linkchecker.sh7
1 files changed, 2 insertions, 5 deletions
diff --git a/buildbot/linkchecker.sh b/buildbot/linkchecker.sh
index 5a02d07..6395a31 100755
--- a/buildbot/linkchecker.sh
+++ b/buildbot/linkchecker.sh
@@ -5,9 +5,6 @@
## This script will scan www.taler.net for broken links and e-mail a copy of the log if any are found.
-# For debug:
-touch /home/linkchecker/scriptRan
-
logfile="linkchecker.log"
# Remove old log
@@ -25,7 +22,7 @@ fi
echo
echo "Running this command:"
echo " wget --spider -r -nd -nv -H -l 1 -w 2 -o $logfile https://www.taler.net/"
-wget --spider -r -nd -nv -H -l 1 -w 2 -o $logfile https://www.taler.net/
+wget --spider -r -nd -nv -H -l 1 -w 2 -o $logfile https://www.taler.net/
echo
@@ -33,7 +30,7 @@ echo
if grep -iRl 'broken link!!' $logfile
then
echo "Found broken links. !! TODO: Send message here"
- exit 0
+ exit 1
else
echo "No broken links found. Nothing more to do."
exit 0